org.springframework.data.relational.core.dialect

## Enum ArrayColumns.Unsupported

- java.lang.Object
- - java.lang.Enum<ArrayColumns.Unsupported>
  - - org.springframework.data.relational.core.dialect.ArrayColumns.Unsupported

All Implemented Interfaces:
  Serializable, Comparable<ArrayColumns.Unsupported>, ArrayColumns

Enclosing interface:
  ArrayColumns

    public static enum ArrayColumns.Unsupported
    extends Enum<ArrayColumns.Unsupported>
    implements ArrayColumns

Default `ArrayColumns` implementation for dialects that do not support array-typed columns.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.relational.core.dialect.ArrayColumns

`ArrayColumns.Unsupported`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Class<?>` `getArrayType(Class<?> userType)` Translate the `user type` of an array into the dialect-specific type.
`boolean` `isSupported()` Returns true if the dialect supports array-typed columns.
`static ArrayColumns.Unsupported` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArrayColumns.Unsupported[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final ArrayColumns.Unsupported INSTANCE

### Method Detail

#### values

    public static ArrayColumns.Unsupported[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ArrayColumns.Unsupported c : ArrayColumns.Unsupported.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ArrayColumns.Unsupported valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSupported

    public boolean isSupported()

Description copied from interface: `ArrayColumns`
Returns true if the dialect supports array-typed columns.

Specified by:
  `isSupported` in interface `ArrayColumns`
Returns:
  true if the dialect supports array-typed columns.

#### getArrayType

    public Class<?> getArrayType(Class<?> userType)

Description copied from interface: `ArrayColumns`
Translate the `user type` of an array into the dialect-specific type. This method considers only the component type.

Specified by:
  `getArrayType` in interface `ArrayColumns`
Parameters:
  `userType` - component type of the array.
Returns:
  the dialect-supported array type.